Field
Date: 2012-07-06

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.enhanced
Class Field

    java.lang.Object
      org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.enhanced.DataModel
          org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.enhanced.Field

All Implemented Interfaces:
  java.lang.Comparable<Field>

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

    Field Summary

    static java.lang.String
    VOID

    Constructor Summary

    Field()

    Method Summary

     int
    compareTo(Field arg0)

    Methods inherited from class org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.enhanced.DataModel

    fromXML, toXML

    Methods inherited from class java.lang.Object

    equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait

    Field Detail

    VOID

    public static final java.lang.String VOID

    See Also:Constant Field Values

    Constructor Detail

    Field

    public Field()

    Field

    public Field(java.lang.String name,
                 java.lang.String value)

    Field

    public Field(java.lang.String name,
                 java.lang.String value,
                 FieldType type)

    Field

    public Field(org.gcube.application.aquamaps.datamodel.Field toLoad)

    Method Detail

    getType

    public FieldType getType()

    setType

    public void setType(FieldType type)

    getName

    public java.lang.String getName()

    setName

    public void setName(java.lang.String name)

    getValue

    public java.lang.String getValue()

    setValue

    public void setValue(java.lang.String value)

    load

    public static java.util.List<Field> load(FieldArray toLoad)

    toStubsVersion

    public static org.gcube.application.aquamaps.datamodel.FieldArray toStubsVersion(java.util.Collection<Field> collection)

    toStubsVersion

    public org.gcube.application.aquamaps.datamodel.Field toStubsVersion()

    getOperator

    public java.lang.String getOperator()

    loadRow

    public static java.util.List<Field> loadRow(java.sql.ResultSet rs)
                                         throws java.lang.Exception

    Throws:
    java.lang.Exception

    getType

    public static FieldType getType(int SQLType)

    loadResultSet

    public static java.util.List<java.util.List<Field>> loadResultSet(java.sql.ResultSet rs)
                                                               throws java.sql.SQLException

    Throws:
    java.sql.SQLException

    getValueAsDouble

    public java.lang.Double getValueAsDouble()

    getValueAsInteger

    public java.lang.Integer getValueAsInteger()

    getValueAsLong

    public java.lang.Long getValueAsLong()

    getValueAsBoolean

    public java.lang.Boolean getValueAsBoolean()

    getValueAsDouble

    public java.lang.Double getValueAsDouble(java.lang.String defaultValue)

    getValueAsInteger

    public java.lang.Integer getValueAsInteger(java.lang.String defaultValue)

    getValueAsLong

    public java.lang.Long getValueAsLong(java.lang.String defaultValue)

    getValueAsBoolean

    public java.lang.Boolean getValueAsBoolean(java.lang.String defaultValue)

    toJSONObject

    public JSONObject toJSONObject()
                            throws JSONException

    Throws:
    JSONException

    fromJSONArray

    public static java.util.ArrayList<Field> fromJSONArray(JSONArray array)
                                                    throws JSONException

    Throws:
    JSONException

    toJSONArray

    public static JSONArray toJSONArray(java.util.List<Field> list)
                                 throws JSONException

    Throws:
    JSONException

    compareTo

    public int compareTo(Field arg0)

    Specified by:compareTo in interface java.lang.Comparable<Field>

          Overview
          Package
        Class
          Use
          Tree
          Deprecated
          Index
          Help

     PREV CLASS
     NEXT CLASS

      FRAMES
     NO FRAMES

      SUMMARY: NESTED | FIELD | CONSTR | METHOD

    DETAIL: FIELD | CONSTR | METHOD